Categories

ID #1098

Why doesn't Bright have a newer version of X?

I want to use a newer software version Y. Why does Bright only provide version X?

 

We release with the latest stable versions of third party softwares at the time of release of our major versions.

Our policy is not to perform version upgrades of third party software within one major version of Bright. This is because we need to guarantee compatibility of updates, and this is not possible if we would move to new versions of packages that we supply. For example, we cannot risk causing issues on the production clusters of customers if we upgrade our openMPI package from version X to version Y. People would get very upset with us if their applications will no longer work with version Y.

The only options to get a newer version are to

  • install it manually (this is not supported by Bright, although we can give some reasonable guidance)

or

  • upgrade to a newer major version of Bright (which would require a full re-install, so it may be overkill).

 

Tags: -

Related entries:

You cannot comment on this entry